using System;
using System.Collections.Generic;

namespace bdAntifraude.db;

public partial class GRUPO
{
    public int IDGRUPO { get; set; }

    public string? GRUPO1 { get; set; }

    public string? DESCRIPCION { get; set; }

    public bool ACTIVO { get; set; }

    public int? IMPORTE_G { get; set; }

    public int? IMPORTE_TRI_TOA { get; set; }

    public int? IMPORTE_TRI_TC { get; set; }

    public int? IMPORTE_TRI_TCE { get; set; }

    public int? IMPORTE_G_EXTRAS { get; set; }

    public int? IMPORTE_TRI_TOAE { get; set; }

    public virtual ICollection<COMPLEMENTOSCARRERA> COMPLEMENTOSCARRERA { get; set; } = new List<COMPLEMENTOSCARRERA>();

    public virtual ICollection<CUERPO> CUERPO { get; set; } = new List<CUERPO>();

    public virtual ICollection<RPT_DESCRIP> RPT_DESCRIPGRUPO1Navigation { get; set; } = new List<RPT_DESCRIP>();

    public virtual ICollection<RPT_DESCRIP> RPT_DESCRIPGRUPO2Navigation { get; set; } = new List<RPT_DESCRIP>();

    public virtual ICollection<TRIENIOS> TRIENIOS { get; set; } = new List<TRIENIOS>();

    public virtual ICollection<VIDA_ADMINISTRATIVA> VIDA_ADMINISTRATIVA { get; set; } = new List<VIDA_ADMINISTRATIVA>();
}
